Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QIconDragEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QIconDragEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QIconDragEvent

extends QEvent

The `QIconDragEvent` class indicates that a main icon drag has begun. Icon drag events are sent to widgets when the main icon of a window has been dragged away. On Mac OS X, this happens when the proxy icon of a window is dragged off the title bar.

It is normal to begin using drag and drop in response to this event.

See also:
  Drag and Drop, `QMimeData`, and `QDrag`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QIconDragEvent()` Constructs an icon drag event object with the accept flag set to false.

Method Summary
`static QIconDragEvent` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QIconDragEvent instance pointed to by `nativePointer`.
`java.lang.String` | `toString()` Returns a string representation of the `this QIconDragEvent`.

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QIconDragEvent

    public QIconDragEvent()

  Constructs an icon drag event object with the accept flag set to false.

See also:
  `accept()`.

Method Detail

### fromNativePointer

    public static QIconDragEvent fromNativePointer(QNativePointer nativePointer)

  This method returns the QIconDragEvent instance pointed to by `nativePointer`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QIconDragEvent`.

  Overrides:
    `toString` in class `QEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD